require 'pileup_variant.rb'


class Pileup

	attr_accessor :pileup

	def initialize(bamFile, bedFile, reference)
		@pileup = Hash.new()
		puts "samtools pileup -l #{bedFile} -f #{reference} #{bamFile}"
		output=`samtools pileup -l #{bedFile} -f #{reference} #{bamFile}`
		output.each_line do |out|
			pileupObj = PileupLine.new(out)
			@pileup[pileupObj.pos]=pileupObj
        end
    end
end

